Bug 24343 - Show subtitle, number and parts in course reserves list of titles in staff client
Summary: Show subtitle, number and parts in course reserves list of titles in staff cl...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-04 21:52 UTC by Owen Leonard
Modified: 2020-02-01 00:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24343: Show subtitle, number and parts in course reserves list of titles in staff client (2.31 KB, patch)
2020-01-04 21:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24343: Show subtitle, number and parts in course reserves list of titles in staff client (2.38 KB, patch)
2020-01-06 13:50 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24343: Show subtitle, number and parts in course reserves list of titles in staff client (2.43 KB, patch)
2020-01-14 22:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-01-04 21:52:21 UTC
It would be nice if the subtitle and number/part information (MARC21: 245$b$n$p) showed in the course reserves list of records.
Comment 1 Owen Leonard 2020-01-04 21:58:52 UTC
Created attachment 96823 [details] [review]
Bug 24343: Show subtitle, number and parts in course reserves list of titles in staff client

Adapted from Bug 23784: At the moment only the title will display in the
course reserves details, but not the information from other title
fields. For series with multiple volumes that can lead to confusing
display. The patch makes use of the new include to display 245$abnp.

To test:
- Add mulitple records to a course reserve course
  Make sure you have titles with different combinations of 245$b$n$p
  - Look at the course details in the staff client
  - Verify only $a displays
  - Apply patch
  - Reload
  - Verify now the full information displays

  Depending on your installation, you might want ot check that the 245
  are correctly mapped and save the record once so the database
  fields are correctly filled.
Comment 2 ByWater Sandboxes 2020-01-06 13:50:39 UTC
Created attachment 96836 [details] [review]
Bug 24343: Show subtitle, number and parts in course reserves list of titles in staff client

Adapted from Bug 23784: At the moment only the title will display in the
course reserves details, but not the information from other title
fields. For series with multiple volumes that can lead to confusing
display. The patch makes use of the new include to display 245$abnp.

To test:
- Add mulitple records to a course reserve course
  Make sure you have titles with different combinations of 245$b$n$p
  - Look at the course details in the staff client
  - Verify only $a displays
  - Apply patch
  - Reload
  - Verify now the full information displays

  Depending on your installation, you might want ot check that the 245
  are correctly mapped and save the record once so the database
  fields are correctly filled.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2020-01-06 13:52:07 UTC
Thanks, Owen!
Comment 4 Katrin Fischer 2020-01-14 22:26:39 UTC
Created attachment 97372 [details] [review]
Bug 24343: Show subtitle, number and parts in course reserves list of titles in staff client

Adapted from Bug 23784: At the moment only the title will display in the
course reserves details, but not the information from other title
fields. For series with multiple volumes that can lead to confusing
display. The patch makes use of the new include to display 245$abnp.

To test:
- Add mulitple records to a course reserve course
  Make sure you have titles with different combinations of 245$b$n$p
  - Look at the course details in the staff client
  - Verify only $a displays
  - Apply patch
  - Reload
  - Verify now the full information displays

  Depending on your installation, you might want ot check that the 245
  are correctly mapped and save the record once so the database
  fields are correctly filled.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-01-20 16:34:23 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-02-01 00:03:24 UTC
Enhancement not backported to 19.11.x branch